FishOutFishOut

Get report configuration

GET/orgs/{organizationId}/projects/{projectId}/reports/{reportId}

Get report configuration within the selected project. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
reportId*string
Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/reports/string"
{  "data": {    "id": "string",    "projectId": "string",    "name": "string",    "rangeDays": 0,    "filter": {      "unreadOnly": true,      "from": "2019-08-24T14:15:22Z",      "to": "2019-08-24T14:15:22Z",      "platforms": [        "reddit"      ],      "sentiments": [        "positive"      ],      "statuses": [        "new"      ],      "keywordIds": [        "string"      ],      "labels": [        "string"      ],      "subjects": [        "brand"      ],      "replyCalls": [        "reply_now"      ],      "languages": [        "str"      ],      "minRelevance": 0,      "includeFiltered": true,      "view": "reply-now",      "assigneeId": "string",      "query": "string",      "sort": "best",      "limit": 1,      "offset": 0    },    "enabled": true,    "intervalSeconds": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}